#include <iostream>
#include <string.h>
using namespace std;

char tekst[200001];
char izmena[200001];
int izmenaINDEX[200001];
int main()
{

    char podsekvenca[11];
    cin >> tekst;
    cin >> podsekvenca;
    if (strlen(tekst) < strlen(podsekvenca)){
        cout << 0 <<endl;
        cout << tekst;
    }
    int broj = 0;
    if(strcmp(podsekvenca,"a") == 0){
        for(int i =0; i < strlen(tekst);i++){
            if (tekst[i] == 'a'){
                tekst[i] = '*';
                broj++;
            }
        }
        cout << broj << endl;
        cout << tekst;
    }
    if(strcmp(podsekvenca,"aa") == 0 || strcmp(podsekvenca,"aaa") == 0 || strcmp(podsekvenca,"aaaa") == 0 || strcmp(podsekvenca,"aaaaa") == 0 || strcmp(podsekvenca,"aaaaaa") == 0|| strcmp(podsekvenca,"aaaaaaa") == 0|| strcmp(podsekvenca,"aaaaaaaa") == 0|| strcmp(podsekvenca,"aaaaaaaaa") == 0|| strcmp(podsekvenca,"aaaaaaaaaa") == 0){
        int n = strlen(podsekvenca);
        int broja = 0;
        for(int i =0; i < strlen(tekst);i++){
            if (tekst[i] == 'a'){
                broja++;
                if(broja < n){
                    continue;
                }
                tekst[i] = '*';
                broj++;
            }
        }
        cout << broj << endl;
        cout << tekst;
    }
    if (strcmp(podsekvenca,"ab") == 0){
            bool flag = 0;
            int brojb = 0;
            int indexb;
        for(int i =0; i < strlen(tekst);i++){
            if (tekst[i] == 'a'){
            flag = 1;
            }
            izmena[i] = tekst[i];
            if(tekst[i] == 'b' && flag == 1){
                indexb = i;
                izmena[i] = '*';
                brojb++;
            }
            }
            for(int i = indexb;i>=0;i--){
            if (tekst[i] == 'a'){
                tekst[i] = '*';
                broj++;
            }
            }
            if(broj > brojb){
                cout << brojb << endl;
                cout << izmena;
            }else{
                cout << broj << endl;
                cout << tekst;
            }
        }
///treba uraditi za ostale stvari


    return 0;
}